org.eclipse.mat.internal.collectionextract

## Class KeySetCollectionExtractor

- java.lang.Object
- - org.eclipse.mat.internal.collectionextract.WrapperCollectionExtractor
  - - org.eclipse.mat.internal.collectionextract.WrapperMapExtractor
    - - org.eclipse.mat.internal.collectionextract.KeySetCollectionExtractor

All Implemented Interfaces:
  ICollectionExtractor, IMapExtractor

    public class KeySetCollectionExtractor
    extends WrapperMapExtractor

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.inspections.collectionextract.IMapExtractor

`IMapExtractor.EntryObject`

### Constructor Summary

Constructors
Constructor and Description
`KeySetCollectionExtractor(String field)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IObjectArray` `extractEntries(IObject coll)` Extracts the array containing the collection content
`int[]` `extractEntryIds(IObject coll)` Returns the object ids (int) for all objects which are contained in the collection
`boolean` `hasExtractableArray()` Return true if the collection array based and the array can be extracted from the heap dump

### Methods inherited from class org.eclipse.mat.internal.collectionextract.WrapperMapExtractor

`extractMapEntries, getCollisionRatio, hasCollisionRatio`

### Methods inherited from class org.eclipse.mat.internal.collectionextract.WrapperCollectionExtractor

`getCapacity, getFillRatio, getNumberOfNotNullElements, getSize, hasCapacity, hasExtractableContents, hasFillRatio, hasSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.inspections.collectionextract.ICollectionExtractor

`getCapacity, getFillRatio, getNumberOfNotNullElements, getSize, hasCapacity, hasExtractableContents, hasFillRatio, hasSize`

### Constructor Detail

#### KeySetCollectionExtractor

    public KeySetCollectionExtractor(String field)

### Method Detail

#### extractEntryIds

    public int[] extractEntryIds(IObject coll)
                          throws SnapshotException

Description copied from interface: `ICollectionExtractor`
Returns the object ids (int) for all objects which are contained in the collection

Specified by:
  `extractEntryIds` in interface `ICollectionExtractor`
Overrides:
  `extractEntryIds` in class `WrapperCollectionExtractor`
Returns:
Throws:
  `SnapshotException`

#### hasExtractableArray

    public boolean hasExtractableArray()

Description copied from interface: `ICollectionExtractor`
Return true if the collection array based and the array can be extracted from the heap dump

Specified by:
  `hasExtractableArray` in interface `ICollectionExtractor`
Overrides:
  `hasExtractableArray` in class `WrapperCollectionExtractor`
Returns:

#### extractEntries

    public IObjectArray extractEntries(IObject coll)
                                throws SnapshotException

Description copied from interface: `ICollectionExtractor`
Extracts the array containing the collection content

Specified by:
  `extractEntries` in interface `ICollectionExtractor`
Overrides:
  `extractEntries` in class `WrapperCollectionExtractor`
Returns:
Throws:
  `SnapshotException`